--- a/src/local-elf.h
+++ b/src/local-elf.h
@@ -165,6 +165,16 @@
 #endif
 #define ELF_TARG_DATA	ELFDATA2MSB
 
+#elif defined(__aarch64__)
+
+#define ELF_TARG_MACH	EM_AARCH64
+#define ELF_TARG_CLASS	ELFCLASS64
+#ifdef __AARCH64EB__
+#define ELF_TARG_DATA	ELFDATA2MSB
+#else
+#define ELF_TARG_DATA	ELFDATA2LSB
+#endif
+
 #else
 
 #error Unknown ELF machine type
